Control Session Host Provisioning - Post
Beheer de provisioning van een hostpool.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}/sessionHostManagements/default/controlSessionHostProvisioning?api-version=2026-01-01-preview
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
host
|
path | True |
string minLength: 3maxLength: 64 pattern: ^[A-Za-z0-9@.\-_ ]*$ |
De naam van de hostgroep binnen de opgegeven resourcegroep |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| action | True |
Actietypen voor het beheren van hostpool-updates. |
|
| cancelMessage |
string maxLength: 260 |
Het annuleerbericht dat naar de gebruiker op de sessiehost is verzonden. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Resourcebewerking geaccepteerd. Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
SessionHostManagements_ControlSessionHostProvisioning_Post
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1/sessionHostManagements/default/controlSessionHostProvisioning?api-version=2026-01-01-preview
{
"action": "Cancel",
"cancelMessage": "Cancel host pool provisioning"
}
Voorbeeldrespons
Location: https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1/sessionHostManagements/default/operationResults/ed5d502c-acaa-42ec-ad61-0d8488a9fd1d
Retry-After: 60
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Host |
Actietypen voor het beheren van hostpoolinrichting. |
|
Host |
Object met besturingsactie voor hostpoolinrichting. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
HostPoolProvisioningAction
Actietypen voor het beheren van hostpoolinrichting.
| Waarde | Description |
|---|---|
| Cancel |
Annuleer de provisioning van de hostpool. |
HostPoolProvisioningControlParameter
Object met besturingsactie voor hostpoolinrichting.
| Name | Type | Description |
|---|---|---|
| action |
Actietypen voor het beheren van hostpool-updates. |
|
| cancelMessage |
string maxLength: 260 |
Het annuleerbericht dat naar de gebruiker op de sessiehost is verzonden. |